summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* net-wireless/hostapd: add snapshot ebuildAndrey Utkin2018-09-022-0/+263
| | | | | | | Upstream of hostapd, hostap-utils and wpa_supplicant hasn't issued a proper release for 1.5 years already, and is not going to. Package-Manager: Portage-2.3.48, Repoman-2.3.10
* net-wireless/hostapd: 9999: add snapshot versions logicAndrey Utkin2018-09-021-1/+6
| | | | Package-Manager: Portage-2.3.48, Repoman-2.3.10
* net-wireless/hostapd: 9999: fix spacing in SRC_URIAndrey Utkin2018-09-021-1/+1
| | | | Package-Manager: Portage-2.3.48, Repoman-2.3.10
* net-wireless/hostapd: drop old 2.6-r1Andrey Utkin2018-07-071-226/+0
| | | | | | 2.6-r4 is the new stable revision. Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-wireless/hostapd: s/!use/! use/gAndrey Utkin2018-07-074-12/+12
| | | | | | | | | Fix syntax issue which caused errors. In all relevant ebuilds including stable. Suggested-by: Matt Turner <mattst88@gentoo.org> Bug: https://bugs.gentoo.org/660378 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-wireless/hostapd: add backported bugfixAndrey Utkin2018-07-072-0/+260
| | | | | | Suggested-by: Matt Turner <mattst88@gentoo.org> Bug: https://bugs.gentoo.org/660384 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-wireless/hostapd: arm stable wrt bug #653524Mikle Kolyada2018-06-261-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-wireless/hostapd: stable 2.6-r4 for ppc, bug #653524Sergei Trofimovich2018-06-241-1/+1
| | | | | | Bug: https://bugs.gentoo.org/653524 Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="ppc"
* net-wireless/hostapd: 2.6-r{2,3}: drop obsoleteAndrey Utkin2018-06-132-470/+0
| | | | | | Dropping ebuild revisions which are not latest nor stable. Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-wireless/hostapd: add live ebuildAndrey Utkin2018-06-131-0/+257
| | | | | | | | | | | | | Current hostapd release is pretty old and does not work clean on recent kernels (https://forums.gentoo.org/viewtopic-t-1080820.html), and there are no response for new release request (http://lists.infradead.org/pipermail/hostap/2018-April/038490.html) Original work by Michael Perlov <perlovka@gmail.com> Link: https://github.com/gentoo/gentoo/pull/8673 Package-Manager: Portage-2.3.40, Repoman-2.3.9 Signed-off-by: Andrey Utkin <andrey_utkin@gentoo.org>
* net-wireless/hostapd: x86 stable (bug #653524)Thomas Deutschmann2018-06-101-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-wireless/hostapd: amd64 stable wrt bug #653524Aaron Bauman2018-06-091-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-wireless/hostapd: update HOMEPAGE, SRC_URI domainAndrey Utkin2018-06-071-2/+2
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-wireless/hostapd: use extras distfile instead of files/Andrey Utkin2018-06-072-12/+16
| | | | | | This is to comply with QA policy of keeping files/ small. Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-wireless/hostapd: add 2.6-r5 for further enhancementsAndrey Utkin2018-06-071-0/+253
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-wireless/hostapd: drop defunct "ssl" USE flag, add "internal-tls"Andrey Utkin2018-05-022-8/+24
| | | | | | | | | | | | | | | | | | | | Since hostapd-2.5, USE=-ssl fails to build. Appears USE=-ssl was used to avoid openssl. Since libressl support was added in 2.6-r3 ebuild, there is an alternative way to avoid openssl now. This commit adds another alternative, to use internal TLSv1 implementation instead of openssl/libressl. It doesn't allow to build hostapd with all the features which are enabled with openssl, though. I don't anticipate user need for USE=-ssl to have a build which does not support any encryption at all. Of course I am open to such users' requests, but at last they have "savedconfig" option to help themselves. Acked-by: zerochaos@gentoo.org Bug: https://bugs.gentoo.org/578798 Package-Manager: Portage-2.3.31, Repoman-2.3.9
* net-wireless/hostapd: add 2.6-r4 for further enhancementsAndrey Utkin2018-05-021-0/+238
| | | | Package-Manager: Portage-2.3.31, Repoman-2.3.9
* net-wireless/hostapd: Fix whitespacingMikle Kolyada2018-04-301-1/+1
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-wireless/hostapd: don't enable nonexistent PRISM54 driverAndrey Utkin2018-04-271-2/+0
| | | | | | | | | PRISM54 driver support has been removed from hostapd in 2009, in commit 50b5bf4eda92 ("Remove obsolete Prism54.org driver support (driver_prism54.c)"). Suggested-by: Conrad Kostecki <ck+gentoo@bl4ckb0x.de> Package-Manager: Portage-2.3.31, Repoman-2.3.9
* net-wireless/hostapd: add LibreSSL supportAaron Bauman2018-04-182-0/+346
| | | | | | | | | | | This patch adds support for LibreSSL and ensures compatibility with dev-libs/libressl-2.7.x. Patch was backported from upstream commits: ba3658cfff2278bc2ba24c32773962b37648d0b2 dee566d98e85e00b917d3eff42cd7e969de089cc Closes: https://bugs.gentoo.org/567262 Package-Manager: Portage-2.3.29, Repoman-2.3.9
* net-wireless/hostapd: adding myself as maintainer to assistZero_Chaos2018-04-161-0/+4
| | | | Package-Manager: Portage-2.3.28, Repoman-2.3.9
* net-wireless/hostapd: add savedconfig supportAndrey Utkin2018-04-091-1/+9
| | | | | Bug: https://bugs.gentoo.org/473124 Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-wireless/hostapd: add 2.6-r2 for further enhancementsAndrey Utkin2018-04-091-0/+224
| | | | | | | r2 was cloned from r1 with keywords dropped to unstable, and bogus comment dropped. Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-wireless/hostapd: correct licenseAndrey Utkin2018-04-071-2/+2
| | | | | | Since 2.0 release, hostapd is BSD only, according to changelog. Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-wireless/hostapd: add myself as maintainerAndrey Utkin2018-03-251-0/+4
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-wireless/hostapd: Update maintainer due to bug #96159Pacho Ramos2018-03-131-4/+0
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-wireless/*: Update Manifest hashesMichał Górny2017-12-101-1/+1
|
* net-wireless/hostapd: remove vulnerable 2.6Zero_Chaos2017-10-221-217/+0
| | | | | | closes bug #634438 Package-Manager: Portage-2.3.11, Repoman-2.3.3
* net-wireless/hostapd: stable 2.6-r1 for ppc, bug #634438Sergei Trofimovich2017-10-211-1/+1
| | | | | Package-Manager: Portage-2.3.12, Repoman-2.3.3 RepoMan-Options: --include-arches="ppc"
* net-wireless/hostapd: stable amd64/x86 for bug #634438Zero_Chaos2017-10-161-1/+1
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* net-wireless/hostapd: fix for bug #634438Zero_Chaos2017-10-168-0/+1191
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* Drop remaining $Id$ and $Header$ from files.Ulrich Müller2017-02-281-1/+0
| | | | Bug: 611234
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-281-1/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* net-wireless/hostapd: remove vulnerable wrt bug #596034Aaron Bauman2017-02-022-211/+0
| | | | Package-Manager: portage-2.3.3
* net-wireless/hostapd: ppc stable wrt bug #596034Agostino Sarubbo2017-01-151-2/+2
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-wireless/hostapd: Allow users to apply patches to src/driversThomas Deutschmann2016-11-241-0/+4
| | | | | | Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=596306#c5 Package-Manager: portage-2.3.2
* net-wireless/hostapd: add comment to force manifest regenerationMichael Palimaka2016-10-151-0/+2
| | | | | | Gentoo-bug: 596462 Package-Manager: portage-2.3.2
* net-wireless/hostapd: x86 stable wrt bug #596034Agostino Sarubbo2016-10-071-1/+1
| | | | | | Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-wireless/hostapd: amd64 stable wrt bug #596034Agostino Sarubbo2016-10-071-1/+1
| | | | | | Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-wireless/hostapd: Fixed incomplete EAPI-6 conversion (bug #596306).Lars Wendler2016-10-061-0/+2
| | | | | Package-Manager: portage-2.3.1 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* net-wireless/hostapd: Bumping to 2.6Bjarke Istrup Pedersen2016-10-052-0/+211
| | | | Package-Manager: portage-2.3.1
* net-wireless/hostapd: use #!/sbin/openrc-run instead of #!/sbin/runscriptAustin English2016-05-181-1/+1
|
* fix <pkg/> reference in metadata.xmlIan Stakenvicius2016-04-191-1/+1
| | | | Package-Manager: portage-2.2.26
* net-wireless/hostapd: Removing old, unsecure versions now that 2.5 is marked ↵Bjarke Istrup Pedersen2016-03-1713-941/+0
| | | | | | stable Package-Manager: portage-2.2.28
* net-wireless/hostapd: ppc stable wrt bug #554862Agostino Sarubbo2016-03-161-1/+1
| | | | | | Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-wireless/hostapd: x86 stable wrt bug #554862Agostino Sarubbo2016-03-151-1/+1
| | | | | | Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-wireless/hostapd: amd64 stable wrt bug #554862Agostino Sarubbo2016-03-151-1/+1
| | | | | | Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* Set appropriate maintainer types in metadata.xml (GLEP 67)Michał Górny2016-01-241-1/+1
|
* Unify quoting in metadata.xml files for machine processingMichał Górny2016-01-241-5/+5
| | | | | | | Force unified quoting in all metadata.xml files since lxml does not preserve original use of single and double quotes. Ensuring unified quoting before the process allows distinguishing the GLEP 67-related metadata.xml changes from unrelated quoting changes.
* net-wireles/hostapd: Bumping to 2.5Bjarke Istrup Pedersen2015-10-062-0/+211
| | | | Package-Manager: portage-2.2.22